package diplomka.pef.czu.diplomka.other;

import android.content.Context;
import android.content.Intent;
import android.support.v4.content.WakefulBroadcastReceiver;

import diplomka.pef.czu.diplomka.threads.TimerBroadcastService;

/**
 * Created by Roman on 10.3.2018.
 */

public class MyWakefulReceiver extends WakefulBroadcastReceiver {

    @Override
    public void onReceive(Context context, Intent intent) {
        Intent serviceIntent = new Intent(context, TimerBroadcastService.class);
        serviceIntent.putExtra("csvFileName",intent.getExtras().getString("csvFileName"));
        serviceIntent.putExtra("interval",  intent.getExtras().getLong("interval"));
        serviceIntent.putParcelableArrayListExtra("networks",  intent.getExtras().getParcelableArrayList("networks"));
        startWakefulService(context, serviceIntent);

    }
}
