package diplomka.pef.czu.diplomka.other;

import android.net.wifi.ScanResult;
import android.net.wifi.WifiManager;

import java.util.ArrayList;
import java.util.List;

import diplomka.pef.czu.diplomka.NetworkList.NetworkInfo;
import diplomka.pef.czu.diplomka.NetworkList.INetworksListItem;
import diplomka.pef.czu.diplomka.NetworkList.MyNetworkListAdapter;
import diplomka.pef.czu.diplomka.NetworkList.NonSelectableNetworkInfo;



/*
 * static class making receiver work from NetWorkListActivity class 
 * 
 *  */

public final class NetworklistReciever {
	
	private NetworklistReciever(){
		
	}
		
	/*
	 * @param wifiManager - from NetWorkListActivity class 
	 * @param listItem - from NetWorkListActivity class
	 * @param adapter - from NetWorkListActivity class
	 * 
	 * compare old items in listView with new items in scanResult and change AP to nonAP or back
	 *
	 * */
	
	public static final void recieveNewData(WifiManager wifiManager, ArrayList<INetworksListItem> listItems, MyNetworkListAdapter adapter){
		boolean doContinue=false;
    	List<ScanResult> scanResults = wifiManager.getScanResults();
		//go throw all items in lisItems
		for(int i=0;i<listItems.size();i++){
			doContinue=false;
			if(listItems.get(i).isSection()) continue;
			//go throw all results in scanResults
			for(int j=0;j<scanResults.size();j++){	
				if(listItems.get(i).getSSID().equals(scanResults.get(j).SSID)){
					if(listItems.get(i).isNonSelcetableItem()){
						INetworksListItem item = listItems.get(i);;
						NetworkInfo nI =  item.toNetworkInfo();
						listItems.set(i, nI);
					}
					doContinue=true;
					break;
					
				}		
			}
			if(doContinue==true) continue;
			INetworksListItem item = listItems.get(i);
			NonSelectableNetworkInfo nonAP =  item.toNonSelectableNetworkInfo();
			listItems.set(i, nonAP);
			adapter.notifyDataSetChanged();
    	
		}
		
	}

}
