package diplomka.pef.czu.diplomka.other;

import android.annotation.SuppressLint;
import android.content.Context;
import android.graphics.Color;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.TextView;

import java.util.ArrayList;

import czu.pef.diplomka.R;
import czu.pef.diplomka.bp.myGraphView.graphLegend.IGraphLegendItem;


/**
 * Created by Roman on 17.2.2018.
 */

public class FileItemListAdapter extends ArrayAdapter<String> {

    private ArrayList<String> listContent;
    private LayoutInflater mLayoutInflater;

    public FileItemListAdapter(Context context, ArrayList<String> items){
        super(context,0,items);

        this.listContent = items;
        this.mLayoutInflater = (LayoutInflater)context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
    }

    @Override
    public int getCount() {
        return listContent.size();
    }

    @Override
    public String getItem(int position) {
        return listContent.get(position);
    }

    @SuppressLint("InflateParams")
    @Override
    public View getView(int position, View convertView, ViewGroup parent){
        View view = convertView;

        final String listItem = listContent.get(position);
        if(listItem != null){

            String item =  listItem;
            view = mLayoutInflater.inflate(R.layout.csvfiles_llist_item , null);


            final TextView fileName = (TextView) view.findViewById(R.id.csvfiles_list_filename);
            fileName.setText(item);
            fileName.setTextColor(Color.WHITE);

        }
        return view;
    }
}
