package diplomka.pef.czu.diplomka.threads;

import android.os.Environment;
import android.widget.TextView;

import java.io.BufferedInputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.ObjectOutputStream;
import java.net.InetSocketAddress;
import java.net.ServerSocket;
import java.net.Socket;

import diplomka.pef.czu.diplomka.zUnused.SendFileThread;

/**
 * Created by Roman on 3.2.2018.
 */

public class ServerSocketThread  extends Thread{
    TextView textview = null;
    ServerSocket serverSocket = null;
    Socket socket = null;
    public ServerSocketThread(TextView textview){

        this.textview = textview;
    }

    @Override
    public void run() {

        //super.run();

        try{
            serverSocket = new ServerSocket();
            serverSocket.setReuseAddress(true);
            serverSocket.bind(new InetSocketAddress(8080));
            textview.setText(textview.getText() + "\nSocket on port "  + serverSocket.getLocalPort());

            //textview.setText(textview.getText() + "\nSoubory " + Environment.getExternalStoragePublicDirectory(DIRECTORY_DOWNLOADS).list());




            String ahoj = "Ahoj";
            byte[] bytes = new byte[1024];
            while (true) {
                socket = serverSocket.accept();
                /* prenasime byty
                OutputStream outpuStream = socket.getOutputStream();
                outpuStream.write(bytes, 0, bytes.length);
                outpuStream.flush();*/


                SendFileThread sendFileThread = new SendFileThread(socket,textview);
            //sendFileThread.start();

                //odesilame file
                File file = new File(Environment.getExternalStoragePublicDirectory(Environment.DIRECTORY_DOWNLOADS) + "/4779-705163.pdf");
                bytes = new byte[(int) file.length()];
                BufferedInputStream bis = new BufferedInputStream(new FileInputStream(file));
                bis.read(bytes, 0, bytes.length);
                long currentTime = System.currentTimeMillis();
                ObjectOutputStream oos = new ObjectOutputStream(socket.getOutputStream());
                oos.writeObject(bytes);
                oos.flush();
                currentTime = System.currentTimeMillis() - currentTime;
                final String message = "\nOdeslano " + bytes.length + "bytes in " + currentTime + " ms";
                textview.post(new Runnable() {
                    @Override
                    public void run() {textview.setText(textview.getText() + message);
                }
                });



            /* odeslani stringu
            ObjectOutputStream oout = new ObjectOutputStream(outpuStream);
            oout.writeObject("Ahoj");
            oout.close();
            */

                //textview.setText(textview.getText() + "\nOdeslano" );
            //}
                //socket.close();
               /* textview.post(new Runnable() {
                    @Override
                    public void run() {
                        textview.setText(textview.getText() + "\nOdeslano" );
                    }
                });*/

            }


        }catch(Exception e){
            textview.setText(textview.getText() + "\n" +  "Error sending: " + e.getLocalizedMessage());

        }finally{
            if (socket != null) {
                try {
                    socket.close();
                    serverSocket.close();
                    textview.setText(textview.getText() + "\nSocket closed" );
                } catch (IOException e) {

                    e.printStackTrace();
                }
            }
            if(serverSocket!=null){
                try {
                    serverSocket.close();
                } catch (IOException e) {
                    e.printStackTrace();
                }
            }
        }



    }

    @Override
    public void interrupt() {
        super.interrupt();
        if (socket != null) {
            try {
                socket.close();
                textview.setText(textview.getText() + "\nSocket closed" );
            } catch (IOException e) {

                e.printStackTrace();
            }
        }
        if(serverSocket!=null){
            try {
                serverSocket.close();
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
    }
}
