package diplomka.pef.czu.diplomka.zUnused;
import android.os.Environment;
import android.widget.TextView;

import com.opencsv.CSVWriter;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileOutputStream;
import java.io.FileWriter;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.ObjectInputStream;
import java.net.Socket;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.logging.Handler;

/**
 * Created by Roman on 3.2.2018.
 */

public class ClientThread extends Thread {

    String dstAddress;
    int dstPort;
    TextView textview;
    private CSVWriter writer;
    //android.os.Handler h = new android.os.Handler();


    public ClientThread(String address, int port,TextView textview) {
        dstAddress = address;
        dstPort = port;
        this.textview = textview;


    }

    @Override
    public void run() {
        Socket socket = null;
        try{
            byte[] bytes = new byte[10240];
            //while(true) {
                socket = new Socket(dstAddress, dstPort);
                long currentTime = System.currentTimeMillis();
                InputStream inputStream = socket.getInputStream();

                //prijeti obrazku
                File file = new File(Environment.getExternalStoragePublicDirectory(Environment.DIRECTORY_DOWNLOADS) + "/test.pdf");

                ObjectInputStream ois = new ObjectInputStream(inputStream);
                bytes = (byte[]) ois.readObject();
                currentTime = System.currentTimeMillis() - currentTime;
                //textview.setText(textview.getText() + "\nPrijato " + bytes.length + "bytes in " + currentTime + " ms" );
                long speed = (bytes.length*8*(1000/currentTime)/1024/1024);
                final String message = "\nPrijato " + bytes.length + "bytes in " + currentTime + " ms - " + speed + " Mbps";
                textview.post(new Runnable() {
                    @Override
                    public void run() {
                        textview.setText(textview.getText() + message);
                    }
                });
                FileOutputStream fos = new FileOutputStream(file);
                fos.write(bytes);

                /*try {
                    Thread.sleep(5000);
                } catch (InterruptedException e) {
                    e.printStackTrace();
                }
            }*/


            /* projeti stringu
            ObjectInputStream oin = new ObjectInputStream(inputStream);
            String stringFromServer = (String) oin.readObject();
            textview.setText(textview.getText() + "\nPrijato " + stringFromServer );
            */

            /* prijeti bytu
            int bytesRead = inputStream.read(bytes, 0, bytes.length);
            currentTime = System.currentTimeMillis() - currentTime;
            textview.setText(textview.getText() + "\nPrijato " + bytesRead + "bytes in " + currentTime + " ms" );
            socket.close();
            */

            addToCvs(speed);

        }catch(Exception e){
            textview.setText(textview.getText() + "\n" +  "Error recieving " + e.getLocalizedMessage());

        }
    }



    private void addToCvs(long speed){

        File sdCard = Environment.getExternalStorageDirectory();
        File dir = new File (sdCard+ File.separator +"diplomka");
        if(!dir.exists()){
            dir.mkdir();
        }
        SimpleDateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        String currentDateTime = dateFormat.format(new Date());
        File file  = new File(dir, "diplomkaTest" + ".csv");
        try {
            //writer = new CSVWriter(new FileWriter(file),'\t');
            writer = new CSVWriter(new FileWriter(file,true));
        } catch (IOException e) {
            e.printStackTrace();
        }
        List<String[]> rows = new ArrayList<String[]>();
        String[] columns = new String[2];
        columns[0] = currentDateTime;
        columns[1] = String.valueOf(speed);
        rows.add(columns);
        writer.writeNext(columns);

        try {
            writer.close();
        } catch (IOException e) {
            e.printStackTrace();
        }

    }

}
