package diplomka.pef.czu.diplomka.zUnused;

import android.os.Handler;
import android.widget.TextView;
import android.widget.Toast;

import java.io.IOException;
import java.net.InetAddress;
import java.net.UnknownHostException;
import java.util.Timer;

import static java.net.InetAddress.getByName;

/**
 * Created by Roman on 6.2.2018.
 */

public class PingThread extends Thread {
    String ipaddr = null;
    TextView textview = null;
    private static final int TIMEOUT = 1000;
    final Handler handler;
    final Timer timer;
    private InetAddress in;
    String message = null;

    public PingThread(String ipaddr, TextView textview){
        this.ipaddr = ipaddr;
        this.textview = textview;
        handler = new Handler();
        timer = new Timer();

    }

    @Override
    public void run() {
        //while(true){
            message = doPing(ipaddr);
            if (message != null) {

                //zmeni text view v main threadu
                textview.post(new Runnable() {
                    @Override
                    public void run() {
                        textview.setText(textview.getText() + "\n" + message);
                    }
                });
            }
            /*try {
                Thread.sleep(5000);
            } catch (InterruptedException e) {
                e.printStackTrace();
            }

        }*/


    }

    public String doPing(String host){
        long currentTime = -1;
        try {
            in = getByName(host);
            currentTime = System.currentTimeMillis();
            if (in.isReachable(TIMEOUT)) {
                currentTime = System.currentTimeMillis() - currentTime;
                // Toast.makeText(getApplicationContext(), "Host is reachabl", Toast.LENGTH_LONG).show();
            }else{
                //Toast.makeText(getApplicationContext(), "Host is not reachable", Toast.LENGTH_LONG).show();
            }
        } catch (UnknownHostException e1) {

            return e1.getLocalizedMessage();
        }catch (IOException e) {
            return e.getLocalizedMessage();
        }catch (Exception  e) {
            return e.getLocalizedMessage();
            //Toast.makeText(getApplicationContext(), "Exception " + e.getLocalizedMessage(), Toast.LENGTH_LONG).show();
        }

        return "pinged in " + currentTime + "ms";

    }
}
